
public class Class225_Sub26_Sub1_Sub2 extends Class225_Sub26_Sub1 {

   float[] aFloatArray10656;


   public int method15602() {
      return this.aFloatArray10656.length;
   }

   public int method15599() {
      return this.aFloatArray10656.length;
   }

   public Class225_Sub12_Sub3 method15600(int var1, int var2, int var3) {
      return this.aFloatArray10656 != null && this.aFloatArray10656.length != 0?new Class225_Sub12_Sub3_Sub1(this, var1, var2, var3):null;
   }

   float[] method16468() {
      return this.aFloatArray10656;
   }

   public Class225_Sub12_Sub3 method15601(int var1, int var2, int var3) {
      return this.aFloatArray10656 != null && this.aFloatArray10656.length != 0?new Class225_Sub12_Sub3_Sub1(this, var1, var2, var3):null;
   }

   public int method15598() {
      return this.aFloatArray10656.length;
   }

   Class225_Sub26_Sub1_Sub2(int var1, Class225_Sub20 var2, float[] var3, int var4, int var5, boolean var6) {
      this.anInt10043 = var1 * -2022430347;
      this.aFloatArray10656 = var3;
      this.anInt10042 = var4 * 479248609;
      this.anInt10044 = var5 * 1991870315;
      this.aBool10045 = var6;
   }
}
